## edu.stanford.nlp.ling
Class CoreAnnotations.WordAnnotation

    java.lang.Object
      edu.stanford.nlp.ling.CoreAnnotations.WordAnnotation

All Implemented Interfaces:
  CoreAnnotation<String>, TypesafeMap.Key<CoreMap,String>

Enclosing class:
  CoreAnnotations

Deprecated.

    @Deprecated
    public static class CoreAnnotations.WordAnnotation

extends Object
implements CoreAnnotation<String>

The CoreMap key identifying the text of a token. This should be identical to TextAnnotation for tokens, and absent for other kinds of annotations. It's typically used to implement HasWord. Note: Now deprecated. Use TextAnnotation instead

Constructor Summary
`CoreAnnotations.WordAnnotation()` Deprecated.

Method Summary
`Class<String>` `getType()` Deprecated. Returns the type associated with this annotation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreAnnotations.WordAnnotation

    public CoreAnnotations.WordAnnotation()

  Deprecated.

Method Detail

### getType

    public Class<String> getType()

  Deprecated.
  Description copied from interface: `CoreAnnotation`
  Returns the type associated with this annotation. This method must return the same class type as its value type parameter. It feels like one should be able to get away without this method, but because Java erases the generic type signature, that info disappears at runtime.

  Specified by:
    `getType` in interface `CoreAnnotation<String>`

Stanford NLP Group